#!/usr/bin/perl

use strict;

my @PKGS = qw(log_15min_aif.tgz);
my $root = $ENV{'FS_UPDATE_ROOT'};

sub install_single {
    my $file = shift;
    unless ($0 =~ /^(.*\/)/) {
    	print STDERR "ERROR: can't find script directory!\n";
    	return 1;
    }
    $file = $1 . $file;
    if ($file =~ /\.tgz$|\.tar\.gz$/i) {
        print         "cd ${root}/ ; tar xzf '$file'\n";
        return system("cd ${root}/ ; tar xzf '$file'");
    }
    print STDERR "ERROR: Unknown package format!\n";
    return 1;
}

sub install_pkgs {
	my $err = 0;
	for my $p (@PKGS) {
		print "Update $p\n";
		if (install_single($p)) {
			print STDERR "ERROR installing $p!\n";
			$err = 1;
		}
	}
	return $err;
}

exit install_pkgs();

